code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
# -----------------------------------------------------------------------------
#
# Package : find-parent-dir
# Version : 0.3.0
# Source repo : https://github.com/thlorenz/find-parent-dir
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ib... | ppc64le/build-scripts | f/find-parent-dir/find-parent-dir_rhel_8.3.sh | Shell | apache-2.0 | 3,080 |
#!/bin/bash
set -eou pipefail
# Script to generate Docker certificates and keys for testing. These are
# temporary certificates, and are good for one day only.
#
# See https://docs.docker.com/engine/security/https/ for deails.
readonly DAYS=1
readonly KEY_SIZE=2048
readonly OUT=./dockercerts
readonly EXT_OUT=./extens... | Azure/azure-docker-extension | integration-test/gen_docker_certs.sh | Shell | apache-2.0 | 2,190 |
#!/usr/bin/env bash
# @author Tony Beltramelli
# www.tonybeltramelli.com
# Handle arguments
if [ $# -eq 0 ]
then
echo "Error: no arguments supplied"
echo "Usage:"
echo " -name <session name>"
exit 1
elif [ $# -ne 0 ]
then
for i in "$@"
do
PARAM=`echo $1 | awk -F= '{print $1}'`
VALUE=`echo $2 | sed '... | tonybeltramelli/Deep-Spying | server/port/predict.sh | Shell | apache-2.0 | 491 |
#! /bin/bash
#
# Copyright (C) 2015 University of Oregon
#
# You may distribute under the terms of either the GNU General Public
# License or the Apache License, as specified in the LICENSE file.
#
# For more information, see the LICENSE file.
#
#
# set -x
# Run the ProTune algorithm
# Usage examples:
# (1) protu... | OpenVnmrJ/OpenVnmrJ | src/scripts/protune.sh | Shell | apache-2.0 | 4,760 |
# -----------------------------------------------------------------------------
#
# Package : capture-exit
# Version : 2.0.0
# Source repo : https://github.com/stefanpenner/capture-exit
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ibm.... | ppc64le/build-scripts | c/capture-exit/capture-exit_rhel_8.3.sh | Shell | apache-2.0 | 3,076 |
# ----------------------------------------------------------------------------
#
# Package : mimepull
# Version : 1.9.6, 1.9.7
# Source repo : https://github.com/javaee/metro-mimepull.git
# Tested on : RHEL 7.6
# Script License : Apache License Version 2.0
# Maintainer : Pratham Murkute <prathamm@us.ibm.com>
#
... | ppc64le/build-scripts | m/mimepull/mimepull_rhel_7.6.sh | Shell | apache-2.0 | 2,471 |
#!/bin/bash
# Step 1. install homebrew
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
# Step 2. install Python 2.7 via homebrew
brew install python
# Step 3. install git via homebrew
brew install git
# Step 4. fetch the code
git clone https://github.com/joshuakwan/tvshow-s... | joshuakwan/tvshow-scheduler | setup.sh | Shell | apache-2.0 | 482 |
#!/bin/bash
mvn -DskipTests -DskipKarafTests -Pwith-assembly clean install
| axemblr/axemblr-provisionr | scripts/create_distribution.sh | Shell | apache-2.0 | 75 |
#!/bin/bash -xe
# If a bundle file is present, call tox with the jenkins version of
# the test environment so it is used. Otherwise, use the normal
# (non-bundle) test environment. Also, run pbr freeze on the
# resulting environment at the end so that we have a record of exactly
# what packages we ended up testing.
... | a10networks-ci/project-config | jenkins/scripts/run-tox-api-ref.sh | Shell | apache-2.0 | 1,177 |
echo "deb http://pkg.jenkins-ci.org/debian binary/" >> /etc/apt/sources.list.d/jenkins.list
wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | apt-key add -
apt-get update
apt-get install -y jenkins
#echo 'JENKINS_ARGS=$JENKINS_ARGS" --prefix=/jenkins --httpListenAddress=localhost"' >> /etc/default/jenk... | quaddra/provision | provision/defaults/scripts/jenkins.sh | Shell | apache-2.0 | 389 |
#!/bin/bash
#
# Copyright IBM Corp. All Rights Reserved.
#
# SPDX-License-Identifier: Apache-2.0
#
jq --version > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "Please Install 'jq' https://stedolan.github.io/jq/ to execute this script"
echo
exit 1
fi
starttime=$(date +%s)
# Print the usage message
function printHelp ... | Naoya-Horiguchi/hl-tools | dev_app/fabric-network/fabric-samples/balance-transfer/testAPIs.sh | Shell | apache-2.0 | 6,333 |
#!/bin/bash
# Copyright 2019 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | cxxgtxy/tensorflow | tensorflow/tools/ci_build/rel/macos/cpu_py38_nonpip.sh | Shell | apache-2.0 | 1,786 |
#!/bin/bash
#
# o o
# 8
# .oPYo. .oPYo. odYo. o8P o8 .oPYo. odYo. .oPYo. .oPYo.
# Yb.. 8oooo8 8' `8 8 8 8oooo8 8' `8 8 ' 8oooo8
# 'Yb. 8. 8 8 8 8 8. 8 8 8 . 8.
# `YooP' `Yooo' ... | yazanobeidi/sentience | executor/init.sh | Shell | apache-2.0 | 748 |
# programmatically generated parser syntax from list of variable names
while :
do
case $1 in
--help | -\?)
# Call your help or usage function here
exit 0 # This is not an error, the user requested help, so do not exit status 1.
;;
--)
=$2
shift 2
;;
--=*)
=${1#*=}
shift
;;
--arxiv)
arxiv=$2
shift 2
;;
--arxiv=*)
arxiv... | fredzannarbor/pagekicker-community | scripts/includes/new.cli-parser.sh | Shell | apache-2.0 | 5,754 |
#!/bin/bash
apitest demo | kineticskunk/jenkinsci-zato-api-test | JenkinsSlaveZato/test.sh | Shell | apache-2.0 | 24 |
# Copyright 2015 Google Inc.
#d
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,... | remi/getting-started-ruby | 7-compute-engine/gce/deploy.sh | Shell | apache-2.0 | 4,410 |
#!/usr/bin/env bash
###
# #%L
# GarethHealy :: JBoss Fuse Setup :: Scaffolding Scripts
# %%
# Copyright (C) 2013 - 2018 Gareth Healy
# %%
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# ... | garethahealy/jboss-fuse-setup | scaffolding-scripts/src/main/resources/lib/destroy-and-deploy-clean-fabric.sh | Shell | apache-2.0 | 3,467 |
#!/bin/bash
set -e
bin=$(dirname $0)
go build -o $bin/../stardog-service-broker
| stardog-union/service-broker | bin/build.sh | Shell | apache-2.0 | 83 |
#!/bin/bash -e
# Copyright 2015 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applic... | bowlofstew/kythe | tools/modules/update.sh | Shell | apache-2.0 | 3,160 |
#!/bin/bash -e
cd ./proto
find . -type f -name '*.pb.*.go' -o -name '*.pb.go' -a ! -name 'message.pb.go' -delete
PROTOS=$(find . -type f -name '*.proto' | grep -v proto/google/api)
mkdir -p proto/google/api
curl -s -o proto/google/api/annotations.proto -L https://raw.githubusercontent.com/googleapis/googleapis/master... | micro/micro | scripts/generate.sh | Shell | apache-2.0 | 673 |
#!/bin/sh
echo '****************************************************************************'
echo ' compile_packages.sh '
echo ' by niuren.zhu '
echo ' 2016.06.17 ... | color-coding/ibas-typescript | compile_packages.sh | Shell | apache-2.0 | 1,560 |
#!/usr/bin/env escript
-author("Vitor Enes Duarte <vitorenesduarte@gmail.com>").
main(_) ->
ValidDirectories = ordsets:from_list(["ad_counter"]),
%% Filter out invalid directories
Simulations0 = only_dirs(root_log_dir()),
Simulations1 = lists:filter(
fun(Simulation) ->
ordsets:is_el... | lasp-lang/evaluation | lasp_new_transmission_plot.sh | Shell | apache-2.0 | 13,199 |
#!/bin/bash
aws dynamodb create-table --table-name parse-server --attribute-definitions AttributeName=_pk_className,AttributeType=S AttributeName=_sk_id,AttributeType=S --key-schema AttributeName=_pk_className,KeyType=HASH AttributeName=_sk_id,KeyType=RANGE --provisioned-throughput ReadCapacityUnits=5,WriteCapacityUnit... | benishak/parse-server-dynamodb-adapter | resources/create-dynamodb.sh | Shell | apache-2.0 | 386 |
#!/bin/bash
# Alert the user of a failed build
errored () {
errcode=$?
echo "Deploy encountered errors."
exit $errcode
}
trap errored ERR
# the folder this script is in (*/bootplate/tools)
TOOLS=$(cd `dirname $0` && pwd)
# application root
SRC="$TOOLS/.."
DEST="$SRC/deploy"
# enyo location
ENYO="$SRC/enyo"
# d... | KyleMaas/org.webosports.app.maps | tools/deploy.sh | Shell | apache-2.0 | 1,241 |
#!/bin/bash
# Copyright 2019 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by ... | bazelbuild/rules_apple | apple/internal/templates/macos.template.sh | Shell | apache-2.0 | 1,501 |
#!/bin/bash
MASTER_NODE=1
if [ -f DEPLOYED ]
then
NUM_NODES=$(cat DEPLOYED)
else
echo "# File 'DEPLOYED' not found. Aborting"
exit 1
fi
. ./common.sh
if [ $NUM_NODES -lt 2 ]
then
echo "# For replication you need more than 1 node. Aborting"
exit 1
fi
MASTER_PORT=3306
MASTER1="docker exec -it mysql... | datacharmer/mysql-replication-samples | docker-replication/set-replication-multisource.sh | Shell | apache-2.0 | 4,221 |
#! /bin/bash
in=$1
awk '{a[$2]++; tot++}END{for(x in a){print x, a[x], a[x]/tot}}' ${in}
| ifuding/Kaggle | PMRCN/Code/count_label.sh | Shell | apache-2.0 | 90 |
#!/bin/bash
#-------------------------------------------------------------
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# ... | apache/incubator-systemml | scripts/perftest/genMultinomialData.sh | Shell | apache-2.0 | 4,224 |
#!/bin/bash
version() {
git rev-parse --abbrev-ref HEAD| awk 'BEGIN { FS = "/" }; { print $2 "." $1 }'
}
tag() {
local image="olesu/centos-puppet"
echo "${image}:$(version)"
}
docker build --tag=$(tag) .
| olesu/docker-centos-puppet | build.sh | Shell | apache-2.0 | 215 |
#!/bin/bash
TABLES=$(bq ls --max_results 10000 pipeline_classify | grep TABLE | pyin 'line.strip().split()[0]')
for T in ${TABLES}; do
echo bq -q cp -f pipeline_classify.${T} ucsb-gfw:pipeline_classify.${T}
done | parallel -j 16
| GlobalFishingWatch/vessel-maps | utilities/bash/copyTablesUCSB.sh | Shell | apache-2.0 | 237 |
#! /bin/bash
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | GoogleCloudPlatform/cloud-foundation-toolkit | infra/build/developer-tools/build/scripts/task_wrapper_scripts/test_validator.sh | Shell | apache-2.0 | 796 |
ssh -L 9999:0.0.0.0:9999 root@46.101.166.59 | mcekovic/tennis-crystal-ball | crystal-ball/src/main/scripts/portforward-to-jmx-digital-ocean.sh | Shell | apache-2.0 | 43 |
#!/usr/bin/env bash
BRANCH=master
TARGET_REPO=gouthambs/gouthambs.github.io
PELICAN_OUTPUT_FOLDER=output
if [ "$TRAVIS_PULL_REQUEST" == "false" ]; then
echo -e "Starting to deploy to Github Pages\n"
if [ "$TRAVIS" == "true" ]; then
git config --global user.email "travis@travis-ci.org"
git confi... | gouthambs/karuth-source | deploy.sh | Shell | artistic-2.0 | 867 |
#!/bin/bash
#
# Copyright (C) 2014 by John P. Weiss
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the Artistic License, included as the file
# "LICENSE" in the source code archive.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WA... | jpweiss/tools | sh.scripts/git-helpers.sh | Shell | artistic-2.0 | 49,840 |
node nscale.js container build nodezoo elasticsearch
node nscale.js container build nodezoo beanstalk
node nscale.js container build nodezoo nznpm
node nscale.js container build nodezoo nzgithub
node nscale.js container build nodezoo nzindex
node nscale.js container build nodezoo nzinfo
node nscale.js container build n... | nearform/nscale-client | build.sh | Shell | artistic-2.0 | 333 |
#!/usr/bin/env bash
set -eou pipefail
readonly USERNAME=$(echo "$1" | tr -d '@')
function user_exists_warning(){
echo "$USERNAME is already on whitelist. Exiting..."
exit 1
}
function add_user_to_whitelist(){
echo "$USERNAME" >> whitelist.txt
}
function add_whitelist_to_git(){
git add whitelist.txt
git c... | leto/ggautoblocker | bin/whitelist.sh | Shell | bsd-2-clause | 561 |
#!/bin/bash
python compile.py .
if [ "$?" -ne 0 ]; then echo "Invalid Syntax";exit 1;
fi
python error_wrap.py
randsent -g *.grammar $@
| raphtown/CGW | cs224n-generate.sh | Shell | bsd-2-clause | 137 |
#!/bin/bash
./manage.py runserver 0.0.0.0:8005
| aaalgo/owl | run.sh | Shell | bsd-2-clause | 47 |
#!/bin/bash -xe
apt-get update
apt-get install -y python-pip
pip install https://github.com/mitsuhiko/flask/tarball/master
pip install -U pytest argparse
if [ ! -d "/vagrant" ]; then
apt-get install -y git
git clone https://github.com/viglesiasce/minitwit /vagrant
fi
pushd /vagrant
rm -rf __pycache__
flask --app=... | viglesiasce/minitwit | deployment/run.sh | Shell | bsd-3-clause | 372 |
#!/usr/bin/env bash
docker rm -v $(docker ps -a | grep Exited | tr -s " " | cut -f1 -d\ )
if [[ "$1" == "-a" ]]; then
docker rm -v $(docker ps -a | grep Created | tr -s " " | cut -f1 -d\ )
fi # [[ "$1" == "-a" ]]
docker rmi $(docker images | grep '<none>' | tr -s " " | cut -f3 -d\ )
| bmustiata/docker-bin | docker-cleanup.sh | Shell | bsd-3-clause | 291 |
#!/bin/bash
#
# This file contains constants for the shell scripts which interact
# with the skia-gold Google Compute Engine instance.
#
# Copyright 2014 Google Inc. All Rights Reserved.
set -e
# Sets all constants in compute_engine_cfg.py as env variables.
$(python ../compute_engine_cfg.py)
if [ $? != "0" ]; then
... | Tiger66639/skia-buildbot | compute_engine_scripts/goldserver/vm_config.sh | Shell | bsd-3-clause | 2,068 |
#!/bin/bash
if [[ $TRAVIS_PULL_REQUEST == false && $TRAVIS_BRANCH == "master" ]]
then
echo "-- will build docs --"
git config --global user.email "travis@travis-ci.com"
git config --global user.name "Travis Bot"
npm run docs
git clone https://github.com/phosphorjs/phosphor-nodewrapper.git travis_... | blink1073/phosphor-nodewrapper | scripts/travis_after_success.sh | Shell | bsd-3-clause | 687 |
#!/bin/bash
# Copyright (c) 2015-present, Facebook, Inc.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree. An additional grant
# of patent rights can be found in the PATENTS file in the same directory.
# **********... | magic-FE/create-magic-component | tasks/e2e.sh | Shell | bsd-3-clause | 7,040 |
#! /usr/bin/env bash
#
# Created by alex devkral@web.de
#
# Copyright (c) 2012
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# Redistributions of source code must retain the above copyright... | devkral/cloneme | src/share/sh/copyuser.sh | Shell | bsd-3-clause | 6,542 |
#!/bin/bash
# Copyright 2015, Google Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditio... | y-zeng/grpc | tools/run_tests/dockerize/build_docker_and_run_tests.sh | Shell | bsd-3-clause | 3,858 |
#!/bin/sh
function prompt {
echo "----------------------------------------"
echo $1
echo "----------------------------------------"
read -p "Press ENTER to continue..."
}
# Determine root of repository
if [ ! -f ChangeLog ]
then
if [ ! -f ../ChangeLog ]
then
echo "ERROR: Must be run from either the r... | MarcNo/lifelines | build/build_dist.sh | Shell | mit | 2,500 |
#!/bin/sh
good=0
bad=1
abort=128
skip=125
if [ $# -eq 0 ]
then
echo >&2 "Usage: $0 ucc-arguments"
exit $abort
fi
make -sCsrc || exit $skip
./ucc "$@" || exit $bad
exit $good
| 8l/ucc-c-compiler | tools/bisect.sh | Shell | mit | 180 |
#!/bin/bash
FN="PCHiCdata_1.16.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.11/data/experiment/src/contrib/PCHiCdata_1.16.0.tar.gz"
"https://bioarchive.galaxyproject.org/PCHiCdata_1.16.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pchicdata/bioconductor-pchicdata_1.16.0_src_all.tar.gz"... | roryk/recipes | recipes/bioconductor-pchicdata/post-link.sh | Shell | mit | 1,297 |
#! /bin/sh
rm -rf data
(time python3 -u rnn.py) 2>&1 | tee rnn.log
| nayutaya/tensorflow-rnn-sin | ex1/noised/rnn.sh | Shell | mit | 67 |
#!/bin/bash
# install caddy server
curl https://getcaddy.com | bash -s personal hook.service,http.ipfilter,http.mailout,http.webdav
# create sample Caddyfile
mkdir -p /etc/caddy
cat > /etc/caddy/Caddyfile <<EOL
:80 {
root /var/www
}
EOL
# create sample webpage
mkdir -p /var/www
chown vagrant:vagrant /var/www
cat... | framefactory/flowbox | provisioning/04-caddy.sh | Shell | mit | 744 |
#!/bin/bash
##########################################################################
# This script starts the installation and configuration process of the
# specified application and finally it shows a log file which contains
# reported installation steps and posible errors.
# @author César Rodríguez González
# @ver... | cesar-rgon/linux-app-installer | app-scripts/liferea.sh | Shell | mit | 761 |
for version in 5.2 4.9 4.8;
do
g++-$version --version > /dev/null 2> /dev/null
if [[ $? -eq 0 ]];
then echo g++-$version ; exit 0
fi
done
| toolslive/orocksdb | which_g++.sh | Shell | mit | 155 |
#!/bin/bash
docker exec -it gazelle-wordpress-core bash
| thegazelle-nyuad/gazelle-wordpress-core | new_terminal.sh | Shell | mit | 57 |
#bundle update rails && bundle exec rspec spec
#BUNDLE_GEMFILE=Gemfile.mongoid bundle update mongoid && BUNDLE_GEMFILE=Gemfile.mongoid bundle exec rspec spec
BUNDLE_GEMFILE=Gemfile.rails-4.2 bundle && BUNDLE_GEMFILE=Gemfile.rails-4.2 bundle exec rspec spec
BUNDLE_GEMFILE=Gemfile.rails-4.1 bundle && BUNDLE_GEMFILE=Gemfi... | sideci-sample/sideci-sample-bullet | test.sh | Shell | mit | 1,576 |
#!/bin/sh
commit="$1"
out="out/output"
#
# rsync each pass as we complete it. that means the sha1/$ref dir
# and symlinks for refs that refer to it.
#
[ -e "../rsync-target" ] || exit 0
target=`cat ../rsync-target`
echo "rsync $commit to $target"
# stage all output in $out/tmp
rm -rf $out/tmp
mkdir -p $out/tmp/s... | dachary/gitbuilder | pass.sh | Shell | gpl-2.0 | 936 |
#!/bin/sh
#
# Copyright (c) 2005 Junio C Hamano
#
test_description='git ls-files -k and -m flags test.
This test prepares the following in the cache:
path0 - a file
path1 - a symlink
path2/file2 - a file in a directory
path3/file3 - a file in a directory
pathx/ju - a file in a dire... | snaewe/msysgit-git | t/t3010-ls-files-killed-modified.sh | Shell | gpl-2.0 | 3,013 |
#! /bin/sh
. ../../testenv.sh
GHDL_STD_FLAGS=--std=08
analyze repro.vhdl
elab_simulate repro --assert-level=error
analyze repro1.vhdl
elab_simulate repro1
clean
echo "Test successful"
| tgingold/ghdl | testsuite/gna/issue14/testsuite.sh | Shell | gpl-2.0 | 189 |
#!/bin/sh -x
# Run this as "./dev-tools/release.sh"
# make sure there is no locale setting creating unneeded differences.
LC_ALL=C
export LC_ALL
#
VERSION=4.3.2
ESPRESSO_DIR=espresso-$VERSION
GUI=PWgui-$VERSION
# options (yes/no)
do_doc=yes
do_GUI=no
do_ChangeLogs=no
# BEWARE:
# in order to build the .html and .tx... | cswartzvi/QE-5.0_Post-Proc-Mod | dev-tools/release.sh | Shell | gpl-2.0 | 2,316 |
#!/usr/bin/env bash
#
#
source `dirname $0`/common.sh
TEST_CASE="ATOS inline exploration"
$ROOT/bin/atos-init \
-r "$SRCDIR/examples/sha1-c/run.sh" \
-b "gcc -o sha1-c $SRCDIR/examples/sha1-c/sha.c $SRCDIR/examples/sha1-c/sha1.c" \
$ROOT/bin/atos-explore-inline -S0 -M5 -Vbase,fdo
[ -d atos-configuratio... | knochelh/atos-utils | tests/test014.sh | Shell | gpl-2.0 | 390 |
#!/bin/sh
if [ $1 != "123" ]; then
echo "Invalid Argument - $1"
exit 12
fi
exit 0
| unirita/cuto | _release/linux/jobscript/testscript/110.sh | Shell | gpl-2.0 | 92 |
#!/bin/sh
# create-zip
# From: Manuel Clos
# Nautilus script -> make one zip with the selected file
#
# Dependence : Nautilus (of course)
# Gnome-utils (gdialog)
#
case $LANG in
es* )
filename="¿Nombre del archivo?"
fileexist="El archivo ya existe, ¿sobreescribir?"
title="Archivar en zip" ;;
fr* )
... | kernt/linuxtools | gnome3-shell/nautilus-scripts/System/File Processing/Create-Zip.sh | Shell | gpl-3.0 | 932 |
# This file is part of Rodent Linux
# Copyright 2015-2016 Emil Renner Berthing
sysroot_init() {
if [[ ! -d "$SYSROOT" ]]; then
install -dm755 "$SYSROOT/#"
touch "$SYSROOT/#/installed"
fi
SYSROOT="$(readlink -f "$SYSROOT")"
cd "$SYSROOT"
}
deps_calculate() {
local n=${#REPOS[@]}
local i
local rep... | esmil/rodent | lib/ro/deps_install.sh | Shell | gpl-3.0 | 2,927 |
#!/bin/sh
./live hzcrr-lster-spec-sm --network=from-huge http://tsfjazz.ice.infomaniak.ch:80/tsfjazz-high
| wetneb/copiste | demo.sh | Shell | gpl-3.0 | 110 |
#!/bin/bash
gnuplot test_g/Hist-L=8_PP=4-AV/temp/*.plot
convert -delay 10 -loop 0 test_g/Hist-L=8_PP=4-AV/graphs/{1..200}.jpg animate-Hist-L=8_PP=4-AV.gif
| nlare/Landau-Wang-omp | plot_test_hist_graph-L=8_PP=4-AV.sh | Shell | gpl-3.0 | 155 |
VARS=(
# "states"
# "symbols"
# "cost"
"steps"
)
for VAR in ${VARS[@]}
do
./run.sh $VAR.par $VAR.txt
./makegraph.sh $VAR
# cp $VAR.tex ../../doc/
done
| klutt/gecode-tuples | src/performancesrc/makerun.sh | Shell | gpl-3.0 | 180 |
#!/bin/sh
# exercise another small part of remove.c
# Copyright (C) 2002-2012 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or... | SamB/debian-coreutils | tests/rm/rm3.sh | Shell | gpl-3.0 | 2,029 |
#!/usr/bin/env bash
# Image viewer for terminals that support true colors.
# Copyright (C) 2014 Egmont Koblinger
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the Licen... | saitoha/vte-sixel | perf/img.sh | Shell | lgpl-2.1 | 2,055 |
#!/bin/bash
curl -v -H "Content-Type: application/javascript" --data-binary @test.js "http://127.0.0.1:23119/debug-bridge/execute?password=02a9a6a7-ae92-4983-85df-3eb6fb506054"
| ZotPlus/zotero-better-bibtex | util/exec.sh | Shell | unlicense | 178 |
#!/bin/bash
set -e -x
printenv
# Only builds OSX wheels for tagged commits
if [ "${TRAVIS_TAG}"x == x ]; then
exit 2
fi
pip2 install cibuildwheel==1.0.0
cibuildwheel --output-dir wheelhouse
ls wheelhouse
| cloudera/hue | desktop/core/ext-py/pycryptodomex-3.9.7/travis/travis_after_success_osx.sh | Shell | apache-2.0 | 211 |
#!/system/bin/sh
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License... | alibaba/weex | android/sdk/wrap.sh | Shell | apache-2.0 | 1,188 |
#!/bin/bash
#kill `ps ax|grep floodlight|grep -v grep|awk '{print }'`
WORKDIR=~/xin-flowmaster
java -jar ${WORKDIR}/floodlight-0.90/target/floodlight.jar -cf ${WORKDIR}/ctrl/ctrl1.floodlight > ${WORKDIR}/ctrl/ctrl1.log 2>&1 &
java -jar ${WORKDIR}/floodlight-0.90/target/floodlight.jar -cf ${WORKDIR}/ctrl/ctrl2.floodl... | ndsc-mimic/MimicNOS | experiments/ctrl/start-controllers.sh | Shell | apache-2.0 | 492 |
#!/usr/bin/env bash
##############################################################
# #
# https://wiki.archlinux.org/index.php/Color_Bash_Prompt #
# #
##############################################################
export RED='1'
export GREEN='2'
export YELL... | ecoarium/ecosystem | shell/lib/utils/colors.bash | Shell | apache-2.0 | 2,372 |
#!/bin/sh
set -e
set -x
# Ensure the main and testing repros are present. Needed for runit
echo "http://alpine.gliderlabs.com/alpine/edge/testing" >> /etc/apk/repositories
# These packages make it into the final image.
apk -U add runit python py-setuptools libffi ip6tables ipset iputils iproute2 yajl conntrack-tools
... | TrimBiggs/calico-docker | calico_node/build.sh | Shell | apache-2.0 | 1,201 |
#!/bin/sh
usage() {
echo "Usage: $0 [OPTION]..."
echo "Run Ryu's test suite(s)"
echo ""
echo " -V, --virtual-env Always use virtualenv. Install automatically if not present"
echo " -N, --no-virtual-env Don't use virtualenv. Run tests in local environment"
echo " -c, --coverage Gen... | 09zwcbupt/ryu | run_tests.sh | Shell | apache-2.0 | 4,681 |
#!/bin/bash
DOCKER_COMPOSE_FILE="../modules/flowable-ui-admin/flowable-ui-admin-app/src/main/docker/docker-compose.yml"
if [ -z "$1" ]
then
echo -e "Usage: \n${0##*/} start \n${0##*/} stop \n${0##*/} info"
exit 1
fi
if [ $1 == start ]
then
docker-compose -f $DOCKER_COMPOSE_FILE up -d
STATUS=$?
if [ $STATUS ... | lsmall/flowable-engine | docker/admin-idm-postgres.sh | Shell | apache-2.0 | 851 |
#!/bin/sh
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); y... | YueLinHo/Subversion | tools/hook-scripts/reject-known-sha1-collisions.sh | Shell | apache-2.0 | 1,729 |
#!/bin/sh
birthday=$(date -d 1939-10-27T00:00:00)
echo $birthday | Bigsby/langs | src/sh/dating.sh | Shell | apache-2.0 | 65 |
#!/bin/bash
jar cf clearnlp-$1.jar com
rsync -avc clearnlp-$1.jar choij@nlp01.nj3.ipsoft.com:/apps/data/clearnlp/lib
| anurag95/clearnlp | src/main/scripts/rsync.sh | Shell | bsd-2-clause | 117 |
curl -XPOST 'http://127.0.0.1:9200/test-index/test-type/9/_update?&pretty=true' -d '{
"script" : "ctx._source.tag += tag",
"params" : {
"tag" : "cool"
}
}'
| aparo/elasticsearch-cookbook-second-edition | chapter_07/update_script_mvel.sh | Shell | bsd-2-clause | 178 |
#!/bin/bash
# Copyright (c) 2012 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# This script generates certificates for the unittests in
# net/base/client_cert_store_unittest.cc. The output files are versioned in
# net/... | codenote/chromium-test | net/data/ssl/scripts/generate-client-certificates.sh | Shell | bsd-3-clause | 1,994 |
#!/bin/sh
###
# some bash/zsh library helpers
# @author Adam Eivy
###
# colors
# ESC_SEQ="\x1b["
# col_reset=$ESC_SEQ"39;49;00m"
# col_red=$ESC_SEQ"91;01m"
# col_green=$ESC_SEQ"92;01m"
# col_yellow=$ESC_SEQ"93;01m"
# col_blue=$ESC_SEQ"94;01m"
# col_magenta=$ESC_SEQ"95;01m"
# col_cyan=$ESC_SEQ"96;01m"
ESC_SEQ="\x1b["
... | rambleraptor/dotfiles | script/lib/helpers.sh | Shell | mit | 4,200 |
#!/bin/sh
# git branch -D upstream/rewritten-prev upstream/master upstream/rewritten filter-state
set -e
export SCRIPTS=$(dirname $(readlink -f $0))
UPSTREAM_MASTER=upstream/master
UPSTREAM_REWRITTEN=upstream/dts
LAST=$(git show-ref -s refs/heads/$UPSTREAM_MASTER||true)
if [ -n "$LAST" ] ; then
RANGE="$L... | raphui/barebox | dts/scripts/filter.sh | Shell | gpl-2.0 | 1,009 |
#!/bin/sh
#
# Copyright (c) 2007 Shawn Pearce
#
test_description='test git fast-import utility'
. ./test-lib.sh
. "$TEST_DIRECTORY"/diff-lib.sh ;# test-lib chdir's into trash
verify_packs () {
for p in .git/objects/pack/*.pack
do
git verify-pack "$@" "$p" || return
done
}
file2_data='file2
second line of EOF'
... | lvjp/git | t/t9300-fast-import.sh | Shell | gpl-2.0 | 70,558 |
# Set the different path for this activity
# This is sourced by runit.sh
path=$1
activity=braille_fun
plugindir=$path/../boards/.libs
pythonplugindir=$path/../braille_alphabets-activity:$path/../braille_fun-activity
resourcedir=$path/resources
section="/discovery/braille"
| keshashah/GCompris | src/braille_fun-activity/init_path.sh | Shell | gpl-2.0 | 273 |
#!/bin/sh
#
# Copyright (c) 2010 Ævar Arnfjörð Bjarmason
#
# This is Git's interface to gettext.sh. See po/README for usage
# instructions.
# Export the TEXTDOMAIN* data that we need for Git
TEXTDOMAIN=git
export TEXTDOMAIN
if test -z "$GIT_TEXTDOMAINDIR"
then
TEXTDOMAINDIR="@@LOCALEDIR@@"
else
TEXTDOMAINDIR="$GIT_T... | basicer/git | git-sh-i18n.sh | Shell | gpl-2.0 | 2,042 |
#!/bin/bash
# Adds Intel copyright notices to files modified by Intel.
# Does not add copyright notices to files that are missing them.
#
# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
# Copyright (c) 2012, 2014, Intel Corporation.
#
TMP=${TMP:-/tmp}
TMPFILE=$(mktemp $TMP/updatecopy.XXXXXX)
EX... | spitzcor/Lustre-hackathon | contrib/scripts/updatecw.sh | Shell | gpl-2.0 | 5,852 |
#!/bin/bash
# uses 2 files:
# pism_Greenland_5km_v1.1.nc from examples/std-greenland/
# g2km_gridseq.nc ditto; or similar
# these files are documented in the PISM User's Manual, chapter 1
#
# do
# $ ./run-decoupled.sh 5 g2km_gridseq
# for 5 year run
set -e # exit on error
# check if env var PIS... | citibeth/twoway | pism/std-greenland/hydro/run-decoupled.sh | Shell | gpl-3.0 | 2,079 |
#!/bin/bash
# Run this from the project root--not this directory!
#
# Usage: ./bin/run_l10n_completion.sh [PYTHON-BIN]
function usage() {
echo "syntax: ./bin/run_l10n_completion.sh WEBAPP-DIR PYTHON-BIN"
exit 1
}
if [[ $# -lt 2 ]]; then
usage
fi
WEBAPP=$1
PYTHONBIN=$2
# check if file and dir are there
... | rlr/fjord | bin/run_l10n_completion.sh | Shell | bsd-3-clause | 711 |
#!/bin/bash
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# Abort on error.
set -e
# Load common constants and variables.
. "$(dirname "$0")/common.sh"
usage() {
echo "Usage $PROG image [co... | acorn-marvell/vboot_reference | scripts/image_signing/ensure_no_nonrelease_files.sh | Shell | bsd-3-clause | 1,786 |
#!/bin/bash
FN="pd.bsubtilis_3.12.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.12/data/annotation/src/contrib/pd.bsubtilis_3.12.0.tar.gz"
"https://bioarchive.galaxyproject.org/pd.bsubtilis_3.12.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pd.bsubtilis/bioconductor-pd.bsubtilis_3.12.0_... | ostrokach/bioconda-recipes | recipes/bioconductor-pd.bsubtilis/post-link.sh | Shell | mit | 1,431 |
#!/bin/bash
#
# Developed by Rafael Corrêa Gomes
# Contact rafaelcgstz@gmail.com
#
update.sh(){
sudo apt-get autoremove;
sudo apt-get update;
}
| limatheus/simplesh | system/update.sh | Shell | mit | 150 |
#!/bin/bash
FN="pcxnData_2.8.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/experiment/src/contrib/pcxnData_2.8.0.tar.gz"
"https://bioarchive.galaxyproject.org/pcxnData_2.8.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pcxndata/bioconductor-pcxndata_2.8.0_src_all.tar.gz"
)
MD5="a... | Luobiny/bioconda-recipes | recipes/bioconductor-pcxndata/post-link.sh | Shell | mit | 1,288 |
#!/bin/sh
MAKECLEAN=0
MAKEFLAGS=""
BGPROCESSFILE=$2
if [ "$1" = "clean" ]
then
MAKECLEAN=1
fi
if [ $NUMBER_OF_PROCESSORS > 1 ]; then
MAKEFLAGS=-j$NUMBER_OF_PROCESSORS
fi
#libdvdcss
cd libdvdcss
echo "***** Cleaning libdvdcss *****"
if [ $MAKECLEAN = 1 ]
then
make distclean
fi
echo "***** Building libdvdcss *****"... | fetzerch/xbmc | lib/libdvd/build-xbmc-win32.sh | Shell | gpl-2.0 | 1,943 |
#!/bin/sh
# Copyright (C) 1999-2006 ImageMagick Studio LLC
#
# This program is covered by multiple licenses, which are described in
# LICENSE. You should have received a copy of LICENSE with this
# package; otherwise see http://www.imagemagick.org/script/license.php.
. ${srcdir}/tests/common.shi
${RUNENV} ${MEMCHECK} ... | ipwndev/DSLinux-Mirror | user/imagemagick/src/tests/rwfile_SGI_truecolor12.sh | Shell | gpl-2.0 | 365 |
#
# Copyright (c) 2005, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foun... | openjdk/jdk7u | jdk/test/java/rmi/reliability/benchmark/runSerialBench.sh | Shell | gpl-2.0 | 2,480 |
#!/bin/bash
# TODO:
#
# * Add option parsing to change behavior, such as reduce verbosity
# * Add makefile with tasks, such as 'build', 'clean', etc.?
#
#
# Usage:
#
# To run all tests on all supported platforms:
#
# yum -y install docker-io
# systemctl start docker.service
# systemctl enable docker.servic... | maxamillion/tito | hacking/runtests.sh | Shell | gpl-2.0 | 3,718 |
#!/bin/bash
###########################################################################################
## Copyright 2003, 2015 IBM Corp ##
## ##
## Redistribution and use in s... | PoornimaNayak/autotest-client-tests | linux-tools/perl_Net_DNS/perl-Net-DNS.sh | Shell | gpl-2.0 | 3,727 |
#!/bin/bash -eu
# Copyright 2018 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | skia-dev/oss-fuzz | projects/libvpx/build.sh | Shell | apache-2.0 | 2,070 |
#!/bin/bash
echo "#################################"
echo "#### Jenkins Build ############"
echo "#################################"
# Enable tracing and exit on first failure
set -xe
# Define reasonable set of browsers in case we are running manually from commandline
if [[ -z "$BROWSERS" ]]
then
BROWSERS="Chrom... | southampton-code-dojo/battleships | server/bower_components/angular-latest/jenkins_build.sh | Shell | mit | 1,084 |
#!/bin/bash
src_dir='src'
if [[ ! -d $src_dir ]]; then echo "错误:必须在src同目录执行脚本"; exit 1; fi
# linux shell color support.
RED="\\e[31m"
GREEN="\\e[32m"
YELLOW="\\e[33m"
BLACK="\\e[0m"
# step 1: build srs
#bash scripts/_step.build.sh; ret=$?; if [[ 0 -ne $ret ]]; then exit $ret; fi
# step 2: start srs
bash scripts/_s... | AlexSnet/simple-rtmp-server | trunk/scripts/dev.sh | Shell | mit | 1,429 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.